Summary: 	PHEX is a client for Gnutella / GNet Network(s)
Name: 		phex
Version: 	3.4.2.116
Release: 	%mkrel 1
License: 	GPL
Group:		Networking/File transfer
Source0:	%{name}_%{version}.zip
Source2:	phex-16.png
Source3:	phex-32.png
Source4:	phex-48.png
URL: 		http://phex.kouk.de/
Buildroot: 	%{_tmppath}/%{name}-buildroot
Requires:	java-1.6.0-sun

%description
Phex is a simple file-sharing program. It allows you to share
and download any type of files from other users on the Gnutella 
network.
 
Phex is based on Java technology and therefore available for many
different systems like Windows, Mac OS X, Linux and other.

#prep
%setup -q

%build
rm -rf $RPM_BUILD_DIR/%{name}_%{version}

%install
rm -rf $RPM_BUILD_ROOT
unzip %{SOURCE0} -d $RPM_BUILD_DIR
mkdir -p $RPM_BUILD_ROOT/usr/lib/phex
cp -R $RPM_BUILD_DIR/%{name}_%{version}/* $RPM_BUILD_ROOT/usr/lib/phex


#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Phex
Comment=%summary
Exec=java -jar /usr/lib/phex/lib/phex.jar
Icon=%{name}.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Internet-FileTransfer
EOF



mkdir -p $RPM_BUILD_ROOT/%_liconsdir
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
mkdir -p $RPM_BUILD_ROOT/%_miconsdir

install -m 644 %SOURCE2 $RPM_BUILD_ROOT/%_miconsdir/phex.png
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/%_iconsdir/phex.png
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/%_liconsdir/phex.png

%post 
/sbin/ldconfig
%{update_desktop_database}

%postun 
/sbin/ldconfig
%{clean_desktop_database}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/phex
%_miconsdir/phex.png
%_iconsdir/phex.png
%_liconsdir/phex.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Oct 20 2010 Sproggy <desproggster@gmail.com> 3.4.2.116-1pclos2010
- 3.4.2.116

* Sun Jul 08 2007 Texstar <texstar@gmail.com> 3.0.2.102-1pclos2007
- 3.0.2.102

* Sun Jun 24 2007 Texstar <texstar@gmail.com> 3.0.2.100-2pclos2007
- fix synaptic section geesh

* Sat Jun 16 2007 Texstar <texstar@gmail.com> 3.0.2.100-1pclos2007
- import into pclos 2007
